Bug#531388: After upgrade gnome-session fails to start a valid session

Giovanni Bortolozzo giovanni.bortolozzo at katamail.com
Wed Jun 17 16:45:34 UTC 2009

Josselin Mouette ha scritto:
> severity 531388 important
> thanks
> Le lundi 15 juin 2009 à 20:19 +0200, Giovanni Bortolozzo a écrit :
>> I get a message that says something like "your session only lasts 10
>> seconds... ecc", if I press ok the session will be closed and I go
>> back to the gdm prompt.
> According to your logs, this is a crash. I’d appreciate if you could
> obtain a backtrace for it. To do that, rebuild gnome-session with
> debugging symbols (see http://wiki.debian.org/HowToGetABacktrace),
> install libglib2.0-0-dbg, then start a session that only consists of an
> xterm. In the terminal, run "gdb /usr/bin/gnome-session" and debug it
> normally as explained in the above wiki page.
> Thanks,

Yesterday I made the usual daily update.  These are the changes in my 

Commit Log for Tue Jun 16 19:30:50 2009

I seguenti pacchetti sono stati rimossi:  (removed)

I seguenti pacchetti sono stati aggiornati:    (updated)
devscripts (2.10.50) to 2.10.51
libc6 (2.9-14) to 2.9-15
libc6-dev (2.9-14) to 2.9-15
libc6-i686 (2.9-14) to 2.9-15
libdb4.6 (4.6.21-13) to 4.6.21-14
libdb4.6-java (4.6.21-13) to 4.6.21-14
libdb4.6-java-gcj (4.6.21-13) to 4.6.21-14
libdca0 (0.0.5-2) to 0.0.5-3
libselinux1 (2.0.71-1) to 2.0.80-1
libselinux1-dev (2.0.71-1) to 2.0.80-1
libsepol1 (2.0.32-1) to 2.0.36-1
libsepol1-dev (2.0.32-1) to 2.0.36-1
linux-libc-dev (2.6.29-5) to 2.6.30-1
module-init-tools (3.9-1) to 3.9-2
perl-tk (1:804.028-4) to 1:804.028-5
rpm ( to 4.7.0-4
tzdata (2009h-1) to 2009i-1
tzdata-java (2009h-1) to 2009i-1

I seguenti pacchetti sono stati installati:   (installed)
elfutils (0.141-2)
libasm1 (0.141-2)
libdw1 (0.141-2)
libelf1 (0.141-2)
librpm0 (4.7.0-4)
librpmbuild0 (4.7.0-4)
librpmio0 (4.7.0-4)
rpm-i18n (4.7.0-4)

Then I recompile the kernel to version 2.6.30, compile the nvidia driver 
and update nvidia-glx

Commit Log for Tue Jun 16 20:40:24 2009

I seguenti pacchetti sono stati aggiornati:
nvidia-glx (180.44-2) to 185.18.14-1

After a while, I want to produce the backtrace for you, so I update 
gnome-session and gnome-setting-daemon to the latest avaiable version

Commit Log for Tue Jun 16 20:48:45 2009

I seguenti pacchetti sono stati aggiornati:
gnome-session (2.22.3-3) to 2.26.1-7
gnome-settings-daemon (2.24.1-3) to 2.26.1-2

I seguenti pacchetti sono stati installati:
gnome-session-bin (2.26.1-7)
libglib2.0-0-dbg (2.20.3-1)

But after that all work correctly. Today I remove libglib2.0-0-dbg and 
all still works... so I seem like that something upgraded yesterday 
solve the problem.

My only "problem" now, is that I can't shutdown the machine from my 
gnome-session even if I have already enable myself using the 
"Authorization" software... what do I miss?

Thanks a lot

More information about the pkg-gnome-maintainers mailing list